<div class="table">
  <div class="table-header">
    <div class="header__item"><a class="filter__link">Автор</a></div>
    <div class="header__item"><a class="filter__link filter__link--number">Организация</a></div>
    <div class="header__item"><a class="filter__link filter__link--number">Отзыв</a></div>
    <div class="header__item"><a class="filter__link filter__link--number">Показывать</a></div>
    <div class="header__item">
      <a class="filter__link filter__link--number">Действия</a>
    </div>
  </div>
  <div class="table-content">
    <ng-container *ngFor="let review of reviews$ | async">
      <div class="table-row">
        <div class="table-data">{{review.author}}</div>
        <div class="table-data">{{review.organization}}</div>
        <div class="table-data description">{{review.review}}</div>
        <div class="table-data description">
          <input (click)="editReview(review)" type="checkbox" [checked]="review.isVisible">
        </div>
        <div class="table-data icons">
          <a [routerLink]="['/admin/reviews/' + review.id]">
            <img class="table-icon" src="assets/icons/eye-icon.svg" alt="Изменить">
          </a>
          <a (click)="openRemoveModal(review.id)">
            <img class="table-icon" src="assets/icons/trash-icon.svg" alt="Удалить">
          </a>
        </div>
      </div>
    </ng-container>
  </div>
</div>

<ng-container *ngIf="isRemovePopup">
  <app-modal (closeWindow)="isRemovePopup = false">
    <div class="modal-content">
      <p class="alert upper-bold">Вы действительно хотите удалить?</p>
      <button class="btn warning" (click)="removeReview()">Подтвердить</button>
    </div>
  </app-modal>
</ng-container>
